> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mapp.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Get a contact
> Returns a contact object that matches the specified identifier.
Request body examples:
{
"type":"EMAIL",
"value":"test@test.com"
}
{
"type":"MOBILE",
"value":"48505606707"
}{
\"type\":\"EMAIL\",
\"value\":\"test@test.com\"
}
{
\"type\":\"MOBILE\",
\"value\":\"48505606707\"
}{
\"errorActor\": \"CLIENT\",
\"errorCode\": \"NO_SUCH_OBJECT\",
\"message\": \"Contact with identifier=nobody.here@example.com does not exist.\",
\"objectType\": \"Contact\",
\"propertyName\": \"identifier\",
\"propertyValue\": \"nobody.here@example.com\"
}",
"content": {
"application/octet-stream": {}
}
},
"403": {
"description": "Incorrect system user login credentials. Check username password, and check that the corresponding system user account is Type “API” or “Hybrid”.",
"content": {
"application/octet-stream": {}
}
}
}
}
}
},
"components": {
"schemas": {
"ContactIdentifier": {
"type": "object",
"properties": {
"type": {
"enum": [
"APP_ALIAS",
"EMAIL",
"EXTERNAL",
"ID",
"MOBILE"
],
"type": "string"
},
"value": {
"type": "string"
}
}
},
"Contact": {
"type": "object",
"properties": {
"contactId": {
"type": "integer",
"format": "int64"
},
"emailAddress": {
"type": "string"
},
"mobileNumber": {
"type": "string"
},
"applicationAlias": {
"type": "string"
},
"identifier": {
"type": "string"
},
"attributes": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Attribute"
}
},
"channelAddresses": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Attribute"
}
}
}
},
"Attribute": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"value": {
"type": "string"
}
}
}
}
}
}
````